import aiohttp
from gaanapy.songs.songs import Songs
from gaanapy.albums.albums import Albums
from gaanapy.artists.artists import Artists
from gaanapy.trending.trending import Trending
from gaanapy.newreleases.newreleases import NewReleases
from gaanapy.charts.charts import Charts
from gaanapy.playlists.playlists import Playlists
from gaanapy import endpoints
from gaanapy.functions import Functions
from gaanapy.errors import Errors

class GaanaPy(Songs, Albums, Artists, Trending, NewReleases, Charts, Playlists):
    def __init__(self):
        self.aiohttp = aiohttp.ClientSession()
        self.api_endpoints = endpoints
        self.functions = Functions()
        self.errors = Errors()
        self.info = False
    def __await__(self):
        return self.async_init().__await__()